#!/bin/bash
#
# Define el tipo de cliente en el servidor
#

# Bytes significativos de la MAC
# para definir el tipo
MAC_SIGN=3

TIPO=$1
DIR_BASE=$3
CLASSFILE=$4
MAC=( $(tr 'a-z:' 'A-Z ' <<<"$2") )
MAC="${MAC[@]:0:$MAC_SIGN}"
MAC=${MAC// /:}
shift 4
DESC="$@"

# Crea los directorios para los tipos

for diraula in $DIR_BASE/*/desc; do
   diraula=${diraula%desc}
   mkdir -pm 2775 $diraula/$TIPO
#   chmod g+w $diraula/$TIPO
   echo $DESC > $diraula/$TIPO/desc
done

# Añade el tipo a la configuración del DHCP
cat <<EOF >> $CLASSFILE 
class "$TIPO" {
   match if substring(hardware, 1, 3) = $MAC;
   option tipo = "$TIPO";
}

EOF

sudo invoke-rc.d isc-dhcp-server restart
