
DIALOG=(whiptail --backtitle 'Cacharreo Free Software Labs, Rota')

function salida() {
   ROJO="\e[1;31m"
   VERDE="\e[1;32m"
   NORMAL="\e[0m"

   if [ $1 -eq 0 ]; then
      color=${VERDE}
      mensaje=$2
   else
      color=${ROJO}
      mensaje=$3
   fi
   echo -en "${color}$mensaje${NORMAL} "
}

function borrar_tipo() {
   local IFS='
'
   local DIR_BASE=$1
   local IMAGE=$2
   local TIPO=$3
   local CLASSFILE=$4

   [ -z "$(find $DIR_BASE -path "$DIR_BASE"'/*/'"$TIPO"'/*' -type d)" ] || return 0

   "${DIALOG[@]}" --title "Borrado de ${IMAGE}" --yesno "No hay imágenes para el tipo $TIPO. ¿Desea borrar también el tipo?" 8 50

   if [ $? -eq 0 ]; then
      find $DIR_BASE -path "$DIR_BASE"'/*/'"$TIPO" -print0 | xargs -0 rm -rf
      tempfile=$(mktemp --tmpdir sed.XXXXXX)
      sed -r '/^class "'$TIPO'" \{$/,/^\}$/{d}' $CLASSFILE > $tempfile
      cp -f $tempfile $CLASSFILE
      rm -f $tempfile
      sudo invoke-rc.d isc-dhcp-server restart
   else
      exit 0
   fi
}
